import { TypedMap } from '@musical-patterns/utilities';
import * as React from 'react';
import { Dispatch } from 'redux';
import { BatchAction } from 'redux-batched-actions';
import { ImmutablePageState, PageAction } from './page';
import { ImmutablePatternState, PatternAction } from './pattern';
declare enum SecretTestSelector {
    SUBMITTED_SPEC = "secret-submitted-spec",
    TIME = "secret-time",
    PATTERN_DURATION = "secret-pattern-duration"
}
interface DispatchParameter {
    dispatch: Dispatch<Action>;
}
interface EventParameter {
    event: React.SyntheticEvent;
}
declare type EventHandler = (event: React.SyntheticEvent) => void;
declare type KeyboardEventHandler = (event: KeyboardEvent) => Promise<void>;
interface WithClickHandler {
    onClick: EventHandler;
}
declare type AsyncEventHandler = (event: React.SyntheticEvent) => Promise<void>;
declare type Action = PatternAction | PageAction | BatchAction;
declare enum StateKey {
    PATTERN = "PATTERN",
    PAGE = "PAGE"
}
interface State {
    [StateKey.PATTERN]: ImmutablePatternState;
    [StateKey.PAGE]: ImmutablePageState;
}
declare type ImmutableState = TypedMap<State>;
export { DispatchParameter, SecretTestSelector, EventHandler, KeyboardEventHandler, AsyncEventHandler, EventParameter, WithClickHandler, ImmutableState, StateKey, Action, };
